            PROGRAM

            MAP
              Test()

              MODULE('FastMath.a')
                _Sin (REAL),REAL,NAME('__Sin')
                _Cos (REAL),REAL,NAME('__Cos')
              END

              ! INCLUDE ('i64.INC'),ONCE
            END

  CODE
  Test()
  RETURN

! ============================================================================

Test  PROCEDURE()

w       LONG,AUTO
h       LONG,AUTO
i1      LONG,AUTO
i2      LONG,AUTO
Pi2_128 REAL,AUTO
nWave   REAL,AUTO
x0      REAL,AUTO
y0      REAL,AUTO

TimeStart  LONG,AUTO
TimeElapse LONG,AUTO

  CODE
  w       = 1920
  h       = 1200
  Pi2_128 = 2.0 * 3.141515926 / 128
  nWave   = 15.0
  x0      = 0.0
  y0      = 0.0

  TimeStart = CLOCK()

  LOOP i1 = 1 TO w
    LOOP i2 = 1 TO h
      x0 += nWave * _Sin (Pi2_128 * i2)
      y0 += nWave * _Cos (Pi2_128 * i1)
    END
  END

  TimeElapse = CLOCK() - TimeStart

  MESSAGE ('Calculation took ' & CLIP (LEFT (FORMAT (TimeElapse, @N_12))) & ' sec/100')
  RETURN
